Prepare pacemaker >=1.1.12 RPM packages

Bug #1378212 reported by Bogdan Dobrelya on 2014-10-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mirantis OpenStack
High
Aleksander Mogylchenko

Bug Description

Pacemaker >=1.1.12 is mandatory feature for Fuel 6.1 release. Please create packages for Centos

Changed in mos:
importance: Undecided → High
status: New → Triaged
assignee: nobody → Fuel OSCI Team (fuel-osci)
milestone: none → 6.0
Changed in mos:
assignee: Fuel OSCI Team (fuel-osci) → Sergey Otpuschennikov (sotpuschennikov)
status: Triaged → In Progress
OSCI Robot (oscirobot) wrote :

Package libqb has been built from changeset: http://gerrit.mirantis.com/29859
RPM Repository URL: http:///osci-obs.vm.mirantis.net:82/centos-fuel-master-29859/centos

OSCI Robot (oscirobot) wrote :

Package corosync has been built from changeset: http://gerrit.mirantis.com/29852
RPM Repository URL: http:///osci-obs.vm.mirantis.net:82/centos-fuel-master-29852/centos

OSCI Robot (oscirobot) wrote :

Package libqb has been built from changeset: http://gerrit.mirantis.com/29866
DEB Repository URL: http:///osci-obs.vm.mirantis.net:82/ubuntu-fuel-master-29866/ubuntu

OSCI Robot (oscirobot) wrote :

Package corosync has been built from changeset: http://gerrit.mirantis.com/29864
DEB Repository URL: http:///osci-obs.vm.mirantis.net:82/ubuntu-fuel-master-29864/ubuntu

OSCI Robot (oscirobot) wrote :

Package cluster-glue has been built from changeset: http://gerrit.mirantis.com/29870
DEB Repository URL: http:///osci-obs.vm.mirantis.net:82/ubuntu-fuel-master-29870/ubuntu

OSCI Robot (oscirobot) wrote :

Package cluster-glue has been built from changeset: http://gerrit.mirantis.com/29871
RPM Repository URL: http:///osci-obs.vm.mirantis.net:82/centos-fuel-master-29871/centos

OSCI Robot (oscirobot) wrote :

Package pacemaker has been built from changeset: http://gerrit.mirantis.com/29814
RPM Repository URL: http:///osci-obs.vm.mirantis.net:82/centos-fuel-master-29814/centos

OSCI Robot (oscirobot) wrote :

Package libqb has been built from changeset: http://gerrit.mirantis.com/29866
DEB Repository URL: http:///osci-obs.vm.mirantis.net:82/ubuntu-fuel-master/ubuntu

OSCI Robot (oscirobot) wrote :

Package libqb has been built from changeset: http://gerrit.mirantis.com/29859
RPM Repository URL: http:///osci-obs.vm.mirantis.net:82/centos-fuel-master/centos

OSCI Robot (oscirobot) wrote :

Package cluster-glue has been built from changeset: http://gerrit.mirantis.com/29870
DEB Repository URL: http:///osci-obs.vm.mirantis.net:82/ubuntu-fuel-master/ubuntu

OSCI Robot (oscirobot) wrote :

Package cluster-glue has been built from changeset: http://gerrit.mirantis.com/29871
RPM Repository URL: http:///osci-obs.vm.mirantis.net:82/centos-fuel-master/centos

OSCI Robot (oscirobot) wrote :

Package corosync has been built from changeset: http://gerrit.mirantis.com/29864
DEB Repository URL: http:///osci-obs.vm.mirantis.net:82/ubuntu-fuel-master/ubuntu

OSCI Robot (oscirobot) wrote :

Package corosync has been built from changeset: http://gerrit.mirantis.com/29852
RPM Repository URL: http:///osci-obs.vm.mirantis.net:82/centos-fuel-master/centos

Roman Vyalov (r0mikiam) on 2014-10-10
Changed in mos:
assignee: Sergey Otpuschennikov (sotpuschennikov) → MOS Linux (mos-linux)
Changed in mos:
assignee: MOS Linux (mos-linux) → Aleksander Mogylchenko (amogylchenko)
OSCI Robot (oscirobot) wrote :

Package pacemaker has been built from changeset: http://gerrit.mirantis.com/30119
DEB Repository URL: http:///osci-obs.vm.mirantis.net:82/ubuntu-fuel-master-30119/ubuntu

OSCI Robot (oscirobot) wrote :

Package cluster-glue has been built from changeset: http://gerrit.mirantis.com/30202
DEB Repository URL: http:///osci-obs.vm.mirantis.net:82/ubuntu-fuel-6.0-stable-30202/ubuntu

OSCI Robot (oscirobot) wrote :

Package pacemaker has been built from changeset: https://review.fuel-infra.org/281
DEB Repository URL: http://osci-obs.vm.mirantis.net:82/ubuntu-fuel-master-281/ubuntu

Situation with this package is weird:
- currently our OSCI does not allow to build several packages at once, only one by one;
- because this bug depends on LP #1381062 and LP #1376600, which are not yet tested nor merged, I've rebuild it without crmsh;
- crmsh itself depends on LP #1376600, which was not merged;

So pacemaker should be rebuilt as soon as all other packages are tested and merged.

Changed in mos:
assignee: Aleksander Mogylchenko (amogylchenko) → Sergii Golovatiuk (sgolovatiuk)
Changed in mos:
milestone: 6.0 → 6.1
Bogdan Dobrelya (bogdando) wrote :

@Alexandr please update the status of this bug

Changed in mos:
assignee: Sergii Golovatiuk (sgolovatiuk) → Bogdan Dobrelya (bogdando)
status: In Progress → Incomplete
assignee: Bogdan Dobrelya (bogdando) → Aleksander Mogylchenko (amogylchenko)
description: updated

Attached it pacemaker from Ubuntu Trusty, rebuild for our environment.

It is not possible to build it using OBS, because corosync and libqb are not merged.

OSCI Robot (oscirobot) wrote :

DEB package pacemaker has been built for project packages/precise/pacemaker
Package version == , package release ==

Changeset: https://review.fuel-infra.org/1622
project: packages/precise/pacemaker
branch: 6.1
author: Aleksandr Mogylchenko
committer: Aleksandr Mogylchenko
subject: Update pacemaker to 1.1.10 from Ubuntu Trusty:
status: patchset-created

Files placed on repository:
libcib3-dev_1.1.10+git20130802-1ubuntu2_amd64.deb
libcib3_1.1.10+git20130802-1ubuntu2_amd64.deb
libcrmcluster4-dev_1.1.10+git20130802-1ubuntu2_amd64.deb
libcrmcluster4_1.1.10+git20130802-1ubuntu2_amd64.deb
libcrmcommon3-dev_1.1.10+git20130802-1ubuntu2_amd64.deb
libcrmcommon3_1.1.10+git20130802-1ubuntu2_amd64.deb
libcrmservice1-dev_1.1.10+git20130802-1ubuntu2_amd64.deb
libcrmservice1_1.1.10+git20130802-1ubuntu2_amd64.deb
liblrmd1-dev_1.1.10+git20130802-1ubuntu2_amd64.deb
liblrmd1_1.1.10+git20130802-1ubuntu2_amd64.deb
libpe-rules2-dev_1.1.10+git20130802-1ubuntu2_amd64.deb
libpe-rules2_1.1.10+git20130802-1ubuntu2_amd64.deb
libpe-status4-dev_1.1.10+git20130802-1ubuntu2_amd64.deb
libpe-status4_1.1.10+git20130802-1ubuntu2_amd64.deb
libpengine4-dev_1.1.10+git20130802-1ubuntu2_amd64.deb
libpengine4_1.1.10+git20130802-1ubuntu2_amd64.deb
libstonithd2-dev_1.1.10+git20130802-1ubuntu2_amd64.deb
libstonithd2_1.1.10+git20130802-1ubuntu2_amd64.deb
libtransitioner2-dev_1.1.10+git20130802-1ubuntu2_amd64.deb
libtransitioner2_1.1.10+git20130802-1ubuntu2_amd64.deb
pacemaker-cli-utils_1.1.10+git20130802-1ubuntu2_amd64.deb
pacemaker-dbg_1.1.10+git20130802-1ubuntu2_amd64.deb
pacemaker-dev_1.1.10+git20130802-1ubuntu2_amd64.deb
pacemaker-remote_1.1.10+git20130802-1ubuntu2_amd64.deb
pacemaker_1.1.10+git20130802-1ubuntu2_amd64.deb

NOTE: Changeset is not merged, created temporary package repository.
DEB repository URL: /ubuntu-fuel-6.1-stable-1622/ubuntu

no longer affects: mos/6.0.x
no longer affects: mos/6.1.x
Changed in mos:
milestone: 6.0.1 → 6.1
status: Incomplete → Confirmed
assignee: Aleksander Mogylchenko (amogylchenko) → Sergii Golovatiuk (sgolovatiuk)

Pacemaker was built with wrong dependencies. I have compared upstream pacemaker with our version so I have the following difference

--- upstream 2015-01-07 21:31:54.301752000 +0000
+++ our 2015-01-07 21:31:15.501752000 +0000
@@ -1,13 +1,13 @@
- Depends: libc6 (>= 2.14)
- libcfg6 (>= 2.3.3)
+ Depends: libbz2-1.0
+ libc6 (>= 2.14)
+ libcfg4 (>= 1.4.4)
  libcib3 (>= 1.1.10+git20130802)
- libcmap4 (>= 2.3.3)
- libcorosync-common4 (>= 2.3.3)
+ libconfdb4 (>= 1.4.4)
  libcrmcluster4 (>= 1.1.10+git20130802)
  libcrmcommon3 (>= 1.1.10+git20130802)
  libcrmservice1 (>= 1.1.10+git20130802)
  libglib2.0-0 (>= 2.28.0)
- libgnutls26 (>= 2.12.17-0)
+ libgnutls26 (>= 2.12.6.1-0)
  liblrmd1 (>= 1.1.10+git20130802)
  libpam0g (>= 0.99.7.1)
  libpe-rules2 (>= 1.1.10+git20130802)
@@ -17,9 +17,9 @@
  libqb0
  libstonithd2 (>= 1.1.10+git20130802)
  libtransitioner2 (>= 1.1.10+git20130802)
- python (>= 2.7)
+ python2.7
+ python (>= 2.7.1-0ubuntu2)
  python (<< 2.8)
- python:any (>= 2.7.1-0ubuntu2)
  libheartbeat2
  resource-agents
  adduser

Since, we have libcfg4 but proper version is libcfg6, pacemaker is int functioning properly. Also we definitely need pacemaker 1.12 even if we use upstream pacemaker in Ubuntu 14.04

Changed in mos:
assignee: Sergii Golovatiuk (sgolovatiuk) → Aleksander Mogylchenko (amogylchenko)
Artem Silenkov (asilenkov) wrote :

Guys, we really can't assemble "trusty ubuntu" in our "precise ubuntu".
Backporting core packages like libcfg6, libc, python, libgnutls (so on) could take big efforts and huge time.
Consider switching to 14.04 as soon as possible.

Bogdan Dobrelya (bogdando) wrote :

We still do want it for Centos 6.5 as it would be supported by 6.1 release. Please provide the RPM packages

summary: - Prepare pacemaker >=1.1.12 packages
+ Prepare pacemaker >=1.1.12 RPM packages
description: updated
OSCI Robot (oscirobot) wrote :

RPM package pacemaker has been built for project packages/centos6/pacemaker
Package version == 1.1.12, package release == 4

Changeset: https://review.fuel-infra.org/2078
project: packages/centos6/pacemaker
branch: 6.1
author: Aleksandr Mogylchenko
committer: Aleksandr Mogylchenko
subject: Pacemaker 1.1.12
status: patchset-created

Files placed on repository:
pacemaker-1.1.12-4.mira1.x86_64.rpm
pacemaker-cli-1.1.12-4.mira1.x86_64.rpm
pacemaker-cluster-libs-1.1.12-4.mira1.x86_64.rpm
pacemaker-cts-1.1.12-4.mira1.x86_64.rpm
pacemaker-debuginfo-1.1.12-4.mira1.x86_64.rpm
pacemaker-doc-1.1.12-4.mira1.x86_64.rpm
pacemaker-libs-1.1.12-4.mira1.x86_64.rpm
pacemaker-libs-devel-1.1.12-4.mira1.x86_64.rpm
pacemaker-remote-1.1.12-4.mira1.x86_64.rpm

NOTE: Changeset is not merged, created temporary package repository.
RPM repository URL: http://osci-obs.vm.mirantis.net:82/centos-fuel-6.1-stable-2078/centos

Please those before we proceed with merging.

Changed in mos:
assignee: Aleksander Mogylchenko (amogylchenko) → Sergii Golovatiuk (sgolovatiuk)
Artem Silenkov (asilenkov) wrote :

Bump, our BVT is still in FAIL state because of

2015-01-19 10:20:05,941 - INFO regenerate_repo.py:314 -- Error: Package: pacemaker-cli-1.1.10-14.el6_5.3.x86_64 (2014.2-6.1)
 has unmet dependencies:
2015-01-19 10:20:05,941 - INFO regenerate_repo.py:316 -- Requires: libcfg.so.4()(64bit)
2015-01-19 10:20:05,941 - INFO regenerate_repo.py:316 -- Requires: libcman.so.3()(64bit)
2015-01-19 10:20:05,941 - INFO regenerate_repo.py:316 -- Requires: libconfdb.so.4()(64bit)
2015-01-19 10:20:05,941 - INFO regenerate_repo.py:316 -- Requires: libfenced.so.3()(64bit)
2015-01-19 10:20:05,941 - INFO regenerate_repo.py:316 -- Requires: libcoroipcc.so.4()(64bit)

Bogdan Dobrelya (bogdando) wrote :

Aleksandr, please take a look onto the comment #31, it looks like the build still contains wrong deps

Changed in mos:
assignee: Sergii Golovatiuk (sgolovatiuk) → Aleksander Mogylchenko (amogylchenko)
Bogdan Dobrelya (bogdando) wrote :

Ok, as we have corosync and lib* already merged, I will try to use the build from comment #28 to assemble the final corosync 2 iso

Changed in mos:
assignee: Aleksander Mogylchenko (amogylchenko) → Bogdan Dobrelya (bogdando)

I've prepared 1.1.12 pacemaker packages, not sure why 1.1.10 has something to do here.

We should build new custom ISO with packages from #28 comment, and test it.

Artem Silenkov (asilenkov) wrote :

1.1.10 is from old commits. We reverted and caught this bug sadly.

Bogdan Dobrelya (bogdando) wrote :

Custom ISO with Corosync 2.3.3, pacemaker 1.1.12, libqb 0.17.1 http://jenkins-product.srt.mirantis.net:8080/view/custom_iso/job/custom_6_1_iso/105

At master node, Nailgun docker container is missing some gems, see the log attached

Changed in mos:
assignee: Bogdan Dobrelya (bogdando) → Aleksander Mogylchenko (amogylchenko)
Bogdan Dobrelya (bogdando) wrote :

created the separate bug for this issue https://bugs.launchpad.net/mos/+bug/1412499. Unless resolved, the status of this one cannot be verified.

Changed in mos:
assignee: Aleksander Mogylchenko (amogylchenko) → Sergii Golovatiuk (sgolovatiuk)
Bogdan Dobrelya (bogdando) wrote :

the build was done with wrong repo for libqb, so no issue. Will rebuild once again

Changed in mos:
assignee: Sergii Golovatiuk (sgolovatiuk) → Bogdan Dobrelya (bogdando)
Bogdan Dobrelya (bogdando) wrote :

Still blocked, cannot build ISO with corosync and pacemaker repos ( http://jenkins-product.srt.mirantis.net:8080/view/custom_iso/job/custom_6_1_iso/108/ ) due to "bad patch" issue.

Note: Build 105 was done w/o issues using the same repos plus the wrong one for kilo removed for latter builds. I will retrigger build #105 build to clarify the case with repos:
If no errors for retriggered build, that would indicate that there are no issues with repos, but some with patches code base or build system itself.
If retriggered build failed, that would indicate the same RC as above plus the possibility of some "bad"change at mirrors...

Staging job fails as well:
http://jenkins-product.srt.mirantis.net:8080/view/6.1/job/6.1.staging.iso/59/

It is either infrastructure problem (jenkins jobs configuration), or Fuel problem (some bad commit). But separate bugs should be reported about this.

Bogdan Dobrelya (bogdando) wrote :

I managed to w/a the build issues by #110 build. Will proceed with testing now

Changed in mos:
assignee: Bogdan Dobrelya (bogdando) → Aleksander Mogylchenko (amogylchenko)
Changed in mos:
assignee: Aleksander Mogylchenko (amogylchenko) → Bogdan Dobrelya (bogdando)
status: Confirmed → In Progress
Bogdan Dobrelya (bogdando) wrote :

Packages look correct, I managed to launch corosync 2.3.3 with pacemaker 1.1.12 installed from these ones

Changed in mos:
assignee: Bogdan Dobrelya (bogdando) → Aleksander Mogylchenko (amogylchenko)
status: In Progress → Triaged
Bogdan Dobrelya (bogdando) wrote :

Please merge this build to the staging repo

OSCI Robot (oscirobot) wrote :

RPM package pacemaker has been built for project packages/centos6/pacemaker
Package version == 1.1.12, package release == 4

Changeset: https://review.fuel-infra.org/2078
project: packages/centos6/pacemaker
branch: 6.1
author: Aleksandr Mogylchenko
committer: Aleksandr Mogylchenko
subject: Pacemaker 1.1.12
status: change-merged

Files placed on repository:
pacemaker-1.1.12-4.mira1.x86_64.rpm
pacemaker-cli-1.1.12-4.mira1.x86_64.rpm
pacemaker-cluster-libs-1.1.12-4.mira1.x86_64.rpm
pacemaker-cts-1.1.12-4.mira1.x86_64.rpm
pacemaker-debuginfo-1.1.12-4.mira1.x86_64.rpm
pacemaker-doc-1.1.12-4.mira1.x86_64.rpm
pacemaker-libs-1.1.12-4.mira1.x86_64.rpm
pacemaker-libs-devel-1.1.12-4.mira1.x86_64.rpm
pacemaker-remote-1.1.12-4.mira1.x86_64.rpm

Changeset merged. Package placed on primary repository
RPM repository URL: http://osci-obs.vm.mirantis.net:82/centos-fuel-6.1-stable/centos

OSCI Robot (oscirobot) wrote :

RPM package crmsh has been built for project packages/centos6/crmsh
Package version == 2.1+git98, package release == 1.1

Changeset: https://review.fuel-infra.org/2189
project: packages/centos6/crmsh
branch: 6.1
author: Aleksandr Mogylchenko
committer: Aleksandr Mogylchenko
subject: Crmsh 2.1 from OpenSUSE
status: patchset-created

Files placed on repository:
crmsh-2.1+git98-1.1.mira1.x86_64.rpm
crmsh-debuginfo-2.1+git98-1.1.mira1.x86_64.rpm
crmsh-test-2.1+git98-1.1.mira1.x86_64.rpm

NOTE: Changeset is not merged, created temporary package repository.
RPM repository URL: http://osci-obs.vm.mirantis.net:82/centos-fuel-6.1-stable-2189/centos

Changed in mos:
status: Triaged → Fix Committed
Bogdan Dobrelya (bogdando) wrote :

Reopening because of incorrect workflow. 'Fix committed' should be set when packages get here:
http://mirror.fuel-infra.org/fwm/6.1/

Changed in mos:
status: Fix Committed → In Progress
assignee: Aleksander Mogylchenko (amogylchenko) → Fuel OSCI Team (fuel-osci)
status: In Progress → Confirmed
Roman Vyalov (r0mikiam) on 2015-01-23
Changed in mos:
assignee: Fuel OSCI Team (fuel-osci) → Aleksander Mogylchenko (amogylchenko)

~/W/p/pacemaker-pack git:6.1 ❯❯❯ head -10 pacemaker.spec | grep "global commit" ⏎
%global commit 97629ded958f76652350569a54303b3cd25d1d7e
~/W/p/pacemaker-pack git:6.1 ❯❯❯ cd ../pacemaker
~/W/p/pacemaker git:master ❯❯❯ git show --pretty=format:%cd -v 97629ded958f76652350569a54303b3cd25d1d7e | head -1
Fri Jun 13 14:04:29 2014 +1000
~/W/p/pacemaker git:master ❯❯❯ git show --pretty=format:%cd -v Pacemaker-1.1.11 | head -1
Thu Feb 13 11:06:19 2014 -0600
~/W/p/pacemaker git:master ❯❯❯ git show --pretty=format:%cd -v Pacemaker-1.1.12 | head -1
Tue Jul 22 12:05:00 2014 +1000

It indicates that Pacemaker was assembled from commit somewhere between 1.1.11 and 1.1.12.

pacemakerd -$ indicates 1.1.11

It looks like wrong naming of package.

this version of pacemaker doesn't solve the problem with high CPU utilization. The official commit of pacemaker 1.1.12 is

commit 561c4cfda1b09b31b60fd5f73644ee05348f41fb
Author: Andrew Beekhof <email address hidden>
AuthorDate: Tue Jul 22 12:05:00 2014 +1000
Commit: Andrew Beekhof <email address hidden>
CommitDate: Tue Jul 22 12:05:00 2014 +1000

    Build: Update changelog and version numbers

OSCI Robot (oscirobot) wrote :

DEB package pacemaker has been built for project packages/precise/pacemaker
Package version == , package release ==

Changeset: https://review.fuel-infra.org/2843
project: packages/precise/pacemaker
branch: master
author: Artem Silenkov
committer: Artem Silenkov
subject: LP #1378212. Prepare pacemaker >=1.1.12 packages
status: patchset-created

Files placed on repository:
libcib4-dev_1.1.12_amd64.deb
libcib4_1.1.12_amd64.deb
libcrmcluster4-dev_1.1.12_amd64.deb
libcrmcluster4_1.1.12_amd64.deb
libcrmcommon3-dev_1.1.12_amd64.deb
libcrmcommon3_1.1.12_amd64.deb
libcrmservice1-dev_1.1.12_amd64.deb
libcrmservice1_1.1.12_amd64.deb
liblrmd1-dev_1.1.12_amd64.deb
liblrmd1_1.1.12_amd64.deb
libpe-rules2-dev_1.1.12_amd64.deb
libpe-rules2_1.1.12_amd64.deb
libpe-status4-dev_1.1.12_amd64.deb
libpe-status4_1.1.12_amd64.deb
libpengine4-dev_1.1.12_amd64.deb
libpengine4_1.1.12_amd64.deb
libstonithd2-dev_1.1.12_amd64.deb
libstonithd2_1.1.12_amd64.deb
libtransitioner2-dev_1.1.12_amd64.deb
libtransitioner2_1.1.12_amd64.deb
pacemaker-cli-utils_1.1.12_amd64.deb
pacemaker-dbg_1.1.12_amd64.deb
pacemaker-dev_1.1.12_amd64.deb
pacemaker-remote_1.1.12_amd64.deb
pacemaker_1.1.12_amd64.deb

NOTE: Changeset is not merged, created temporary package repository.
DEB repository URL: /ubuntu-fuel-master-2843/ubuntu

OSCI Robot (oscirobot) wrote :

DEB package pacemaker has been built for project packages/precise/pacemaker
Package version == , package release ==

Changeset: https://review.fuel-infra.org/281
project: packages/precise/pacemaker
branch: master
author: Aleksandr Mogylchenko
committer: Artem Silenkov
subject: LP #1378212. Prepare pacemaker >=1.1.12 packages
status: patchset-created

Files placed on repository:
libcib4-dev_1.1.12_amd64.deb
libcib4_1.1.12_amd64.deb
libcrmcluster4-dev_1.1.12_amd64.deb
libcrmcluster4_1.1.12_amd64.deb
libcrmcommon3-dev_1.1.12_amd64.deb
libcrmcommon3_1.1.12_amd64.deb
libcrmservice1-dev_1.1.12_amd64.deb
libcrmservice1_1.1.12_amd64.deb
liblrmd1-dev_1.1.12_amd64.deb
liblrmd1_1.1.12_amd64.deb
libpe-rules2-dev_1.1.12_amd64.deb
libpe-rules2_1.1.12_amd64.deb
libpe-status4-dev_1.1.12_amd64.deb
libpe-status4_1.1.12_amd64.deb
libpengine4-dev_1.1.12_amd64.deb
libpengine4_1.1.12_amd64.deb
libstonithd2-dev_1.1.12_amd64.deb
libstonithd2_1.1.12_amd64.deb
libtransitioner2-dev_1.1.12_amd64.deb
libtransitioner2_1.1.12_amd64.deb
pacemaker-cli-utils_1.1.12_amd64.deb
pacemaker-dbg_1.1.12_amd64.deb
pacemaker-dev_1.1.12_amd64.deb
pacemaker-remote_1.1.12_amd64.deb
pacemaker_1.1.12_amd64.deb

NOTE: Changeset is not merged, created temporary package repository.
DEB repository URL: /ubuntu-fuel-master-281/ubuntu

tags: added: mos-linux

Change abandoned by Aleksandr Mogylchenko <email address hidden> on branch: 6.1
Review: https://review.fuel-infra.org/1622
Reason: not valid

Changed in mos:
status: Fix Committed → New
Changed in mos:
status: New → Fix Committed
Kyrylo Romanenko (kromanenko) wrote :

Verified that Pacemaker 1.1.12 is installed into Fuel 6.1 with Centos environment.

# yum info pacemaker
Arch : x86_64
Version : 1.1.12

VERSION:
  feature_groups:
    - mirantis
  production: "docker"
  release: "6.1"
  openstack_version: "2014.2.2-6.1"
  api: "1.0"
  build_number: "395"
  build_id: "2015-05-08_11-08-49"
  nailgun_sha: "46f55c293e4540d31bcaa6ca3fba77235fb27537"
  python-fuelclient_sha: "af6c9c3799b9ec107bcdc6dbf035cafc034526ce"
  astute_sha: "6a4dcd11c67af2917815f3678fb594c7412a4c97"
  fuel-library_sha: "f385d6a58298c702f8d4f14c452dcffdc0b1e2a3"
  fuel-ostf_sha: "740ded337bb2a8a9b3d505026652512257375c01"
  fuelmain_sha: "3eca5e8f7ca6a83faff5feeca92c21cff31c0af1"

Changed in mos:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers